<?php
/*
  geta_cfg.php
  作成日：2004/11/1
　最終更新日：2005/7/25

　作成者：有限会社セカンドブレーン
　　　　　　青木隆平
　　　　　　ryuhei@secondbrain.co.jp

  geta用　追加設定ファイル(admin)

  Released under the GNU General Public License
*/
// 検索除外文字指定（全角のみ）
  $replace_array = array("");
  $replace_symbol = "、-〇／-〒ぁ-ん";	// ひらがな、記号を除外
  
// パラメータ情報
  $geta_row_max = 50;
  if(defined('TEXT_CATEGORIES_NAME')){
  $mw_categories_field = array(array('field' => 'categories_name', 'title' => TEXT_CATEGORIES_NAME, 'check' => 9, 'weight' => 2),
                                   array('field' => 'categories_description', 'title' => TEXT_CATEGORIES_DESCRIPTION, 'check' => 1, 'weight' => 2),
                                   array('field' => 'categories_keywords', 'title' => TEXT_CATEGORIES_KEYWORDS, 'check' => 1, 'weight' => 2));
  $mw_products_field = array(array('field' => 'products_name', 'title' => TEXT_PRODUCTS_NAME, 'check' => 9, 'weight' => 5),
                                   array('field' => 'products_subtitle', 'title' => TEXT_PRODUCTS_SUBTITLE, 'check' => 1, 'weight' => 2),
                                   array('field' => 'products_series_title', 'title' => TEXT_PRODUCTS_SERIES_TITLE, 'check' => 1, 'weight' => 2),
                                   array('field' => 'products_author', 'title' => TEXT_PRODUCTS_AUTHOR, 'check' => 1, 'weight' => 1),
                                   array('field' => 'products_publishers', 'title' => TEXT_PRODUCTS_PUBLISHERS, 'check' => 0, 'weight' => 1),
                                   array('field' => 'products_description', 'title' => TEXT_PRODUCTS_DESCRIPTION, 'check' => 1, 'weight' => 1),
                                   array('field' => 'products_description2', 'title' => TEXT_PRODUCTS_DESCRIPTION2, 'check' => 1, 'weight' => 2),
                                   array('field' => 'products_keywords', 'title' => TEXT_PRODUCTS_KEYWORDS, 'check' => 1, 'weight' => 3));
  $mw_manufacturers_field = array(array('field' => 'manufacturers_name', 'title' => TEXT_MANUFACTURERS_NAME, 'check' => 0, 'weight' => 2),
                                   array('field' => 'manufacturers_keywords', 'title' => TEXT_MANUFACTURERS_KEYWORDS, 'check' => 0, 'weight' => 2));
  $mw_reviews_field = array(array('field' => 'reviews_text', 'title' => TEXT_REVIEWS_TEXT, 'check' => 1, 'weight' => 1));
  }

// フォルダ情報
  define('DIR_FS_GETA_WORK', DIR_FS_DOCUMENT_ROOT . '/geta_work/');			// GETA用ディレクトリ（要：書き込み権限）
// シェルスクリプト
  define('FILENAME_MAKEWAM_JP', DIR_FS_GETA_WORK . 'makewam_jp.sh');			// 形態素分析するshell（WAM生成時用）
  define('FILENAME_MKW', DIR_FS_GETA_WORK . 'mkw.sh');					// WAMを生成するshell
  define('FILENAME_MKAUX', DIR_FS_GETA_WORK . 'mkaux.sh');				// タイトルファイルを変換するshell
  define('FILENAME_DUMPWAM', DIR_FS_GETA_WORK . 'dumpwam.sh');			// WAM生成を確認するshell
  define('FILENAME_SEARCH_JP', DIR_FS_GETA_WORK . 'search_jp.sh');			// 形態素分析するshell（検索時用）
// PERLスクリプト
  define('FILENAME_S_GETA_THEMES', DIR_FS_GETA_WORK . 's_geta_themes.pl');		// フレーズ検索後、タイトル情報を出力するPERL（geta_themes用）
  define('FILENAME_TW_GETA_THEMES', DIR_FS_GETA_WORK . 'tw_geta_themes.pl');		// 商品WAMで検索文書を要約するPERL（geta_themes用）
  define('FILENAME_S_GETA_SEARCH', DIR_FS_GETA_WORK . 's_geta_search.pl');		// フレーズ検索後、タイトル情報を出力するPERL（geta_search用）
  define('FILENAME_S_GETA_PRODUCTS', DIR_FS_GETA_WORK . 's_geta_products.pl');	// 商品idから文書連想検索をするPERL（geta_products用）
// カテゴリー関連
  define('TEXT_C_HANDLE_ID', '');									// カテゴリーWAMのショートネーム（ci.confに設定済みのもの）
  define('FILENAME_C_INDATA', DIR_FS_GETA_WORK . 'c_indata.txt');				// 形態素分析する前のデータ
  define('FILENAME_C_OUTDATA', DIR_FS_GETA_WORK . 'c_outdata.txt');			// 形態素分析した後のデータ
  define('FILENAME_C_FREQFILE', DIR_FS_GETA_WORK . 'categories.freq');			// 出現頻度ファイル
  define('FILENAME_C_T_INFILE', DIR_FS_GETA_WORK . 'categories.ttl');			// タイトルファイル（元データ）
// 商品関連
  define('TEXT_P_HANDLE_ID', '');									// 商品WAMのショートネーム（ci.confに設定済みのもの）
  define('FILENAME_P_INDATA', DIR_FS_GETA_WORK . 'p_indata.txt');				// 形態素分析する前のデータ
  define('FILENAME_P_OUTDATA', DIR_FS_GETA_WORK . 'p_outdata.txt');			// 形態素分析した後のデータ
  define('FILENAME_P_FREQFILE', DIR_FS_GETA_WORK . 'products.freq');			// 出現頻度ファイル
  define('FILENAME_P_T_INFILE', DIR_FS_GETA_WORK . 'products.ttl');				// タイトルファイル（元データ）
// MAKEWAM設定ファイル
  define('FILENAME_C_MAKEWAM_CONFIG', DIR_FS_GETA_WORK . 'c_mw_cfg.txt');
  define('FILENAME_P_MAKEWAM_CONFIG', DIR_FS_GETA_WORK . 'p_mw_cfg.txt');
  define('FILENAME_M_MAKEWAM_CONFIG', DIR_FS_GETA_WORK . 'm_mw_cfg.txt');
  define('FILENAME_R_MAKEWAM_CONFIG', DIR_FS_GETA_WORK . 'r_mw_cfg.txt');
?>
